<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.Move Method (DatabaseEntry, DatabaseEntry, DatabaseEntry, Boolean, LockingInfo)
SecondaryCursor Class See Also Send Feedback

Set the cursor to refer to key, and store the primary key/data pair associated with the given secondary key in Current. In the presence of duplicate key values, the first data item in the set of duplicates is stored in Current. If key, or pkey, or data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, Move is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool Move(
    	DatabaseEntry key,
    	DatabaseEntry pkey,
    	DatabaseEntry data,
    	bool exact,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function Move ( _
    	key As DatabaseEntry, _
    	pkey As DatabaseEntry, _
    	data As DatabaseEntry, _
    	exact As Boolean, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool Move(
    	DatabaseEntry^ key,
    	DatabaseEntry^ pkey,
    	DatabaseEntry^ data,
    	bool exact,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key at which to position the cursor

pkey
  Type: BerkeleyDB..::.DatabaseEntry
  The key of the current matching record in primary db

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data of the current matching record in primary db

exact
  Type: System..::.Boolean
  If false and in a database configured for sorted duplicates, position the cursor at the smallest key greater than or equal to the specified key, permitting partial key matches and range searches. Otherwise, require the given key to match the key in the database exactly.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
Move Overload
BerkeleyDB Namespace